Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.ode
Interface ODEIntegrator

All Known Subinterfaces:
  FirstOrderIntegrator, SecondOrderIntegrator

All Known Implementing Classes:
  AbstractIntegrator, AdamsBashforthIntegrator, AdamsIntegrator, AdamsMoultonIntegrator, AdaptiveStepsizeIntegrator, ClassicalRungeKuttaIntegrator, DormandPrince54Integrator, DormandPrince853Integrator, EmbeddedRungeKuttaIntegrator, EulerIntegrator, GillIntegrator, GraggBulirschStoerIntegrator, HighamHall54Integrator, MidpointIntegrator, MultistepIntegrator, RungeKuttaIntegrator, ThreeEighthesIntegrator

    public interface ODEIntegrator

This interface defines the common parts shared by integrators for first and second order differential equations.

Since:
  2.0
Version:
  $Id: ODEIntegrator.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `FirstOrderIntegrator`, `SecondOrderIntegrator`

Method Summary
`void` | `addEventHandler(EventHandler handler, double maxCheckInterval, double convergence, int maxIterationCount)` Add an event handler to the integrator.
`void` | `addEventHandler(EventHandler handler, double maxCheckInterval, double convergence, int maxIterationCount, UnivariateSolver solver)` Add an event handler to the integrator.
`void` | `addStepHandler(StepHandler handler)` Add a step handler to this integrator.
`void` | `clearEventHandlers()` Remove all the event handlers that have been added to the integrator.
`void` | `clearStepHandlers()` Remove all the step handlers that have been added to the integrator.
`double` | `getCurrentSignedStepsize()` Get the current signed value of the integration stepsize.
`double` | `getCurrentStepStart()` Get the current value of the step start time ti.
`int` | `getEvaluations()` Get the number of evaluations of the differential equations function.
`Collection<EventHandler>` | `getEventHandlers()` Get all the event handlers that have been added to the integrator.
`int` | `getMaxEvaluations()` Get the maximal number of functions evaluations.
`String` | `getName()` Get the name of the method.
`Collection<StepHandler>` | `getStepHandlers()` Get all the step handlers that have been added to the integrator.
`void` | `setMaxEvaluations(int maxEvaluations)` Set the maximal number of differential equations function evaluations.

Method Detail

### getName

    String getName()

  Get the name of the method.

  Returns:
    name of the method

### addStepHandler

    void addStepHandler(StepHandler handler)

  Add a step handler to this integrator.

  The handler will be called by the integrator for each accepted step.

  Parameters:
    `handler` - handler for the accepted steps
  Since:
    2.0
  See Also:
    `getStepHandlers()`, `clearStepHandlers()`

### getStepHandlers

    Collection<StepHandler> getStepHandlers()

  Get all the step handlers that have been added to the integrator.

  Returns:
    an unmodifiable collection of the added events handlers
  Since:
    2.0
  See Also:
    `addStepHandler(StepHandler)`, `clearStepHandlers()`

### clearStepHandlers

    void clearStepHandlers()

  Remove all the step handlers that have been added to the integrator.

  Since:
    2.0
  See Also:
    `addStepHandler(StepHandler)`, `getStepHandlers()`

### addEventHandler

    void addEventHandler(EventHandler handler,
                         double maxCheckInterval,
                         double convergence,
                         int maxIterationCount)

  Add an event handler to the integrator. Uses a default `UnivariateSolver` with an absolute accuracy equal to the given convergence threshold, as root-finding algorithm to detect the state events.

  Parameters:
    `handler` - event handler
    `maxCheckInterval` - maximal time interval between switching function checks (this interval prevents missing sign changes in case the integration steps becomes very large)
    `convergence` - convergence threshold in the event time search
    `maxIterationCount` - upper limit of the iteration count in the event time search
  See Also:
    `getEventHandlers()`, `clearEventHandlers()`

### addEventHandler

    void addEventHandler(EventHandler handler,
                         double maxCheckInterval,
                         double convergence,
                         int maxIterationCount,
                         UnivariateSolver solver)

  Add an event handler to the integrator.

  Parameters:
    `handler` - event handler
    `maxCheckInterval` - maximal time interval between switching function checks (this interval prevents missing sign changes in case the integration steps becomes very large)
    `convergence` - convergence threshold in the event time search
    `maxIterationCount` - upper limit of the iteration count in the event time search
    `solver` - The root-finding algorithm to use to detect the state events.
  See Also:
    `getEventHandlers()`, `clearEventHandlers()`

### getEventHandlers

    Collection<EventHandler> getEventHandlers()

  Get all the event handlers that have been added to the integrator.

  Returns:
    an unmodifiable collection of the added events handlers
  See Also:
    `addEventHandler(EventHandler, double, double, int)`, `clearEventHandlers()`

### clearEventHandlers

    void clearEventHandlers()

  Remove all the event handlers that have been added to the integrator.

  See Also:
    `addEventHandler(EventHandler, double, double, int)`, `getEventHandlers()`

### getCurrentStepStart

    double getCurrentStepStart()

  Get the current value of the step start time ti.

  This method can be called during integration (typically by the object implementing the `differential equations` problem) if the value of the current step that is attempted is needed.

  The result is undefined if the method is called outside of calls to `integrate`.

  Returns:
    current value of the step start time ti

### getCurrentSignedStepsize

    double getCurrentSignedStepsize()

  Get the current signed value of the integration stepsize.

  This method can be called during integration (typically by the object implementing the `differential equations` problem) if the signed value of the current stepsize that is tried is needed.

  The result is undefined if the method is called outside of calls to `integrate`.

  Returns:
    current signed value of the stepsize

### setMaxEvaluations

    void setMaxEvaluations(int maxEvaluations)

  Set the maximal number of differential equations function evaluations.

  The purpose of this method is to avoid infinite loops which can occur for example when stringent error constraints are set or when lots of discrete events are triggered, thus leading to many rejected steps.

  Parameters:
    `maxEvaluations` - maximal number of function evaluations (negative values are silently converted to maximal integer value, thus representing almost unlimited evaluations)

### getMaxEvaluations

    int getMaxEvaluations()

  Get the maximal number of functions evaluations.

  Returns:
    maximal number of functions evaluations

### getEvaluations

    int getEvaluations()

  Get the number of evaluations of the differential equations function.

  The number of evaluations corresponds to the last call to the `integrate` method. It is 0 if the method has not been called yet.

  Returns:
    number of evaluations of the differential equations function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.